> For the complete documentation index, see [llms.txt](https://docs.plura.io/ja/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plura.io/ja/agents/siem/onprem.md).

# onprem

### 1. 起動 <a href="#id-1" id="id-1"></a>

* [ ] usernameは販売会社で管理

1-1  KVM コンソールログイン

```sh
ssh root@192.168.0.1
```

1-2 vm 起動 （KVM内の仮想マシン）

```sh
su - username
sudo bash ./start_plura_solr.sh
sudo bash ./start_plura_msa.sh  
```

1-3. ansilbe ログイン

```sh
ssh username@10.10.10.250
```

1-4 スクリプト実行

```sh
/usr/bin/sh /home/username/onpremise/onpremise_config/plura_auto_startup.sh
```

### 2. 終了 <a href="#id-2" id="id-2"></a>

2-1 スクリプト実行

```sh
/usr/bin/sh /home/username/onpremise/onpremise_config/plura_auto_shutdown.sh
```

2-2サーバー終了

```bash
ansible -i /home/username/ansible/hosts all-hosts -m shell -a "sudo shutdown now"
```

2-3 KVMサーバー終了

```bash
sudo shutdown now
```

### 3. 点検 <a href="#id-3" id="id-3"></a>

3-1 接続点検

```bash
ansible -i /home/username/ansible/hosts all-hosts -m shell -a "date"
```

3-2 時間同期

```bash
/usr/bin/sh /home/username/ansible/cronjob/a_ntpdate.sh
```

```bash
/usr/bin/sh /home/username/ansible/cronjob/a_chronyd.sh
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.plura.io/ja/agents/siem/onprem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
